diff --git a/playbooks/openshift-apps/flatpak-indexer.yml b/playbooks/openshift-apps/flatpak-indexer.yml
index 7a61fd982e..6b1dd8e1cc 100644
--- a/playbooks/openshift-apps/flatpak-indexer.yml
+++ b/playbooks/openshift-apps/flatpak-indexer.yml
@@ -60,5 +60,5 @@
 
   - role: openshift/object
     object_app: flatpak-indexer
-    object_template: deploymentconfig.yml.j2
-    object_objectname: deploymentconfig.yml
+    object_template: deployment.yml.j2
+    object_objectname: deployment.yml
diff --git a/roles/openshift-apps/flatpak-indexer/files/service.yml b/roles/openshift-apps/flatpak-indexer/files/service.yml
index 8408b6dd10..00c1fcc170 100644
--- a/roles/openshift-apps/flatpak-indexer/files/service.yml
+++ b/roles/openshift-apps/flatpak-indexer/files/service.yml
@@ -12,5 +12,5 @@ spec:
     protocol: TCP
     targetPort: 6379
   selector:
-    app: redis
-    deploymentconfig: redis
+    matchLabels:
+      app: redis
diff --git a/roles/openshift-apps/flatpak-indexer/templates/deploymentconfig.yml.j2 b/roles/openshift-apps/flatpak-indexer/templates/deployment.yml.j2
similarity index 77%
rename from roles/openshift-apps/flatpak-indexer/templates/deploymentconfig.yml.j2
rename to roles/openshift-apps/flatpak-indexer/templates/deployment.yml.j2
index 4dd8841e38..1d67bd6bb6 100644
--- a/roles/openshift-apps/flatpak-indexer/templates/deploymentconfig.yml.j2
+++ b/roles/openshift-apps/flatpak-indexer/templates/deployment.yml.j2
@@ -1,6 +1,6 @@
 ---
-kind: DeploymentConfig
-apiVersion: apps.openshift.io/v1
+kind: Deployment
+apiVersion: apps/v1
 metadata:
   labels:
     app: flatpak-indexer
@@ -8,8 +8,8 @@ metadata:
 spec:
   replicas: 1
   selector:
-    app: flatpak-indexer
-    deploymentconfig: flatpak-indexer
+    matchLabels:
+      app: flatpak-indexer
   strategy:
     activeDeadlineSeconds: 21600
     resources: {}
@@ -19,12 +19,11 @@ spec:
       maxUnavailable: 25%
       timeoutSeconds: 600
       updatePeriodSeconds: 1
-    type: Rolling
+    type: RollingUpdate
   template:
     metadata:
       labels:
         app: flatpak-indexer
-        deploymentconfig: flatpak-indexer
     spec:
       containers:
       - env:
@@ -35,7 +34,7 @@ spec:
               key: password
         - name: REDIS_URL
           value: redis://redis.flatpak-indexer.svc.cluster.local:6379
-        image: flatpak-indexer:latest
+        image: image-registry.openshift-image-registry.svc:5000/flatpak-indexer/flatpak-indexer:latest
         name: flatpak-indexer
         ports:
         - containerPort: 8080
@@ -65,19 +64,9 @@ spec:
         persistentVolumeClaim:
           claimName: flatpak-indexer-storage{{ '-stg' if env == 'staging' else '' }}
   test: false
-  triggers:
-  - type: ConfigChange
-  - type: ImageChange
-    imageChangeParams:
-      automatic: true
-      containerNames:
-      - flatpak-indexer
-      from:
-        kind: ImageStreamTag
-        name: flatpak-indexer:latest
 ---
-kind: DeploymentConfig
-apiVersion: apps.openshift.io/v1
+kind: Deployment
+apiVersion: apps/v1
 metadata:
   labels:
     app: flatpak-indexer-differ
@@ -86,8 +75,8 @@ spec:
   replicas: 1
   revisionHistoryLimit: 10
   selector:
-    app: flatpak-indexer-differ
-    deploymentconfig: flatpak-indexer-differ
+    matchLabels:
+      app: flatpak-indexer-differ
   strategy:
     activeDeadlineSeconds: 21600
     resources: {}
@@ -97,12 +86,11 @@ spec:
       maxUnavailable: 25%
       timeoutSeconds: 600
       updatePeriodSeconds: 1
-    type: Rolling
+    type: RollingUpdate
   template:
     metadata:
       labels:
         app: flatpak-indexer-differ
-        deploymentconfig: flatpak-indexer-differ
     spec:
       containers:
       - env:
@@ -115,7 +103,7 @@ spec:
               key: password
         - name: REDIS_URL
           value: redis://redis.flatpak-indexer.svc.cluster.local:6379
-        image: flatpak-indexer:latest
+        image: image-registry.openshift-image-registry.svc:5000/flatpak-indexer/flatpak-indexer:latest
         name: flatpak-indexer-differ
         ports:
         - containerPort: 8080
@@ -144,19 +132,9 @@ spec:
         persistentVolumeClaim:
           claimName: flatpak-indexer-storage{{ '-stg' if env == 'staging' else '' }}
   test: false
-  triggers:
-  - type: ConfigChange
-  - type: ImageChange
-    imageChangeParams:
-      automatic: true
-      containerNames:
-      - flatpak-indexer-differ
-      from:
-        kind: ImageStreamTag
-        name: flatpak-indexer:latest
 ---
-apiVersion: apps.openshift.io/v1
-kind: DeploymentConfig
+apiVersion: apps/v1
+kind: Deployment
 metadata:
   labels:
     app: redis
@@ -165,8 +143,8 @@ spec:
   replicas: 1
   revisionHistoryLimit: 10
   selector:
-    app: redis
-    deploymentconfig: redis
+    matchLabels:
+      app: redis
   strategy:
     activeDeadlineSeconds: 21600
     # Recreate so that the old pod is stopped before the new pod is created.
@@ -176,7 +154,6 @@ spec:
     metadata:
       labels:
         app: redis
-        deploymentconfig: redis
     spec:
       containers:
       - env:
@@ -185,7 +162,7 @@ spec:
               secretKeyRef:
                 name: redis-password
                 key: password
-        image: redis:latest
+        image: image-registry.openshift-image-registry.svc:5000/flatpak-indexer/redis:latest
         livenessProbe:
           exec:
             command: ['redis-cli', 'ping']
@@ -216,13 +193,3 @@ spec:
         persistentVolumeClaim:
           claimName: flatpak-indexer-redis-storage{{ '-stg' if env == 'staging' else '' }}
   test: false
-  triggers:
-  - type: ConfigChange
-  - type: ImageChange
-    imageChangeParams:
-      automatic: true
-      containerNames:
-      - redis
-      from:
-        kind: ImageStreamTag
-        name: redis:latest
